<?php
/*
Fruity - A Nagios Configuration Tool
Copyright (C) 2005 Groundwork Open Source Solutions

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

/*
	Filename: config.inc
	Description:
	Configuration Parameters (DEFINES, and system wide config)
*/


// System Configuration
$sys_config['name'] = 'Fruity';
$sys_config['version'] = '1.0 Beta 1 ';
$sys_config['logos_path'] = '/usr/local/groundwork/fruity/logos';	// Must be symlinked or a copy of the logos directory from nagios

$sys_config['network_desc'] = "Our Network";

// AdoDB Session Handler Configuration
// Uncomment if you want adodb to handle sessions
// Usually used if fruity is on a server farm with load balancing
// $ADODB_SESSION_DRIVER='mysql';			// For now, use the mysql adodb driver
// $ADODB_SESSION_CONNECT='localhost';			// Address to the database server for adodb sessions
// $ADODB_SESSION_USER ='root';				// Username to access the database
// $ADODB_SESSION_PWD ='';				// Password to access the database
// $ADODB_SESSION_DB ='fruity';				// What database holds the sessions table

// MySQL Database Connection Configuration
$sitedb_config['host'] = 'localhost';				// Address to the database server
$sitedb_config['username'] = 'root';				// Username to access the database
$sitedb_config['password'] = '';				// Password to access the database
$sitedb_config['database'] = 'fruity';				// The database name
$sitedb_config['dbserv']	= 'mysql';			// The database driver (for now, use mysql)

// Web Application Path Configuration
$path_config['doc_root'] = '/fruity/';	// The URL path to fruity (include trailing slash)
$path_config['image_root'] = $path_config['doc_root'] . 'images/';	// Where images are stored (leave for default)

define("AUTH_MODULES_URL_PATH", "/fruity/modules/auth/");	// No need to modify this if installed in /fruity/ in url.
define("SESSION_SECRET", "fruity");				// A session key to identify this session to PHP.
define("FRUITY_FS_ROOT", "/usr/local/groundwork/fruity/");	// Where on your filesystem is fruity located?


// Do *not* modify any of the below

include_once('adodb/adodb.inc.php');
include_once(FRUITY_FS_ROOT . 'output/output.php');
include_once(FRUITY_FS_ROOT . 'includes/output.inc');
include_once(FRUITY_FS_ROOT . 'includes/fruity.inc');
include_once(FRUITY_FS_ROOT . 'modules/auth/alwaysadmin/alwaysadmin.php');

$fruity->init();

?>
